# Generated by Django 4.1.7 on 2023-03-04 18:32

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("assignments", "0002_assignment_course_delete_assignments_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="assignment",
            name="passing_score",
            field=models.PositiveIntegerField(default=0),
        ),
        migrations.AlterField(
            model_name="course",
            name="section",
            field=models.CharField(
                default="",
                max_length=3,
                unique=True,
                validators=[
                    django.core.validators.RegexValidator(
                        "^[a-zA-Z]*$", message="Only letters are allowed"
                    )
                ],
            ),
        ),
    ]
